- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QPainterPathStroker Class Reference

Search for all occurrences

## Detailed Description

Definition at line 259 of file qpainterpath.h.

`#include <qpainterpath.h>`

List of all members.

## Public Member Functions
| QPainterPathStroker ()
| ~QPainterPathStroker ()
void | setWidth (qreal width)
qreal | width () const
void | setCapStyle (Qt::PenCapStyle style)
Qt::PenCapStyle | capStyle () const
void | setJoinStyle (Qt::PenJoinStyle style)
Qt::PenJoinStyle | joinStyle () const
void | setMiterLimit (qreal length)
qreal | miterLimit () const
void | setCurveThreshold (qreal threshold)
qreal | curveThreshold () const
void | setDashPattern (Qt::PenStyle)
void | setDashPattern (const QVector< qreal > &dashPattern)
QVector< qreal > | dashPattern () const
void | setDashOffset (qreal offset)
qreal | dashOffset () const
QPainterPath | createStroke (const QPainterPath &path) const
## Friends
class | QX11PaintEngine

## Constructor & Destructor Documentation

QPainterPathStroker | ( |  | ) |

~QPainterPathStroker | ( |  | ) |

## Member Function Documentation

void setWidth | ( | qreal | width | ) |

Search for all occurrences

qreal width | ( |  | ) | const

Search for all occurrences

void setCapStyle | ( | Qt::PenCapStyle | style | ) |

Search for all occurrences

Qt::PenCapStyle capStyle | ( |  | ) | const

Search for all occurrences

void setJoinStyle | ( | Qt::PenJoinStyle | style | ) |

Search for all occurrences

Qt::PenJoinStyle joinStyle | ( |  | ) | const

Search for all occurrences

void setMiterLimit | ( | qreal | length | ) |

Search for all occurrences

qreal miterLimit | ( |  | ) | const

Search for all occurrences

void setCurveThreshold | ( | qreal | threshold | ) |

Search for all occurrences

qreal curveThreshold | ( |  | ) | const

Search for all occurrences

void setDashPattern | ( | Qt::PenStyle |  | ) |

Search for all occurrences

void setDashPattern | ( | const QVector< qreal > & | dashPattern | ) |

Search for all occurrences

QVector<qreal> dashPattern | ( |  | ) | const

Search for all occurrences

void setDashOffset | ( | qreal | offset | ) |

Search for all occurrences

qreal dashOffset | ( |  | ) | const

Search for all occurrences

QPainterPath createStroke | ( | const QPainterPath & | path | ) | const

Search for all occurrences

## Friends And Related Function Documentation

friend class QX11PaintEngine `[friend]`

Search for all occurrences

Definition at line 293 of file qpainterpath.h.

The documentation for this class was generated from the following file:

- QtGui/qpainterpath.h

QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker
QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker QPainterPathStroker